<script setup>
import { useAppStore } from '@/stores/AppStore'
import Constants from '@/Constants'
</script>


<script>
export default {

	data() {
		return {
			appStore: useAppStore(),
			csrf: document.querySelector('meta[name="csrf-token"]').getAttribute('content'),
			url: document.querySelector('meta[name="url"]').getAttribute('content'),
			email: localStorage.getItem('email') || '',
			password: localStorage.getItem('password') || '',
			remember: localStorage.getItem('remember') ? true : false,
		}
	},

	methods: {
		onRemember() {
			if (this.remember) {
				localStorage.setItem('email', this.email.toString().trim())
				localStorage.setItem('password', this.password)
				localStorage.setItem('remember', '1')
			}
			else {
				localStorage.removeItem('email')
				localStorage.removeItem('password')
				localStorage.removeItem('remember')
			}
		},

		onSignUp() {
			window.location.href = '/signup'
		},

		onForgot() {
			window.location.href = '/forgot'
		},

		onExternalSignIn(url) {
			window.location.href = url
		},
	},

	mounted() {
	},

	i18n: {
		messages: {
			en: {
				title: "@:app",
				email: "Email",
				password: "Password",
				remember: "Remember Sign-in",
				forgotPassword: "Forgot password?",
				ok: "Sign In",
				signUp: "Sign Up",
				signInGoogle: "Sign-in to Google",
				signInLine: "Sign-in to LINE",
				signInFacebook: "Sign-in to Facebook",
			},
			th: {
				title: "@:app",
				email: "อีเมล",
				password: "รหัสผ่าน",
				remember: "จำรหัสผ่าน",
				forgotPassword: "ลืมรหัสผ่าน?",
				ok: "เข้าสู่ระบบ",
				signUp: "สมัครสมาชิก",
				signInGoogle: "เข้าสู่ระบบโดย Google",
				signInLine: "เข้าสู่ระบบโดย LINE",
				signInFacebook: "เข้าสู่ระบบโดย Facebook",
			},
		},
	},

}
</script>


<template>
	<AppBox :title="$t('title')">
		<form id="form" method="post" action="/signin">
			<input type="hidden" name="_token" :value="csrf" />
			<input name="url" type="hidden" :value="url" />

			<!-- email -->
			<label for="email">{{ $t('email') }}</label><br />
			<input id="email" name="email" type="email" :placeholder="$t('email')" required v-model="email" /><br />
			<br />

			<!-- password -->
			<label for="password">{{ $t('password') }}</label><br />
			<input id="password" name="password" type="password" :placeholder="$t('password')" required minlength="4"
				maxlength="20" v-model="password" /><br />
			<br />

			<!-- remember -->
			<input id="remember" name="remember" type="checkbox" style="margin-right: 0.5rem" v-model="remember" />
			<label for="remember">{{ $t('remember') }}</label><br />
			<br />

			<button type="submit" @click="(e) => onRemember()">{{ $t('ok') }}</button>
			<button type="button" @click.prevent="(e) => onForgot()">{{ $t('forgotPassword') }}</button>
			<button type="button" @click.prevent="(e) => onSignUp()">{{ $t('signUp')
			}}</button><br />
			<br />

			<button type="button" @click.prevent="(e) => onExternalSignIn(Constants.googleSignIn())">{{
			$t('signInGoogle')
			}}</button>
			<button type="button" @click.prevent="(e) => onExternalSignIn(Constants.lineSignIn())">{{
			$t('signInLine')
			}}</button>
		</form>
	</AppBox>
</template>


<style scoped>

</style>
